Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui
Class SunTrayIconProxy

    java.lang.Object
      net.sf.borg.ui.SunTrayIconProxy

All Implemented Interfaces:
  Prefs.Listener

     class SunTrayIconProxy

extends Object
implements Prefs.Listener

communicates with the new java built-in system tray APIs

Constructor Summary
`SunTrayIconProxy()`

Method Summary
`static boolean` | `hasTrayIcon()` Checks for presence of the tray icon.
`void` | `prefsChanged()` called when preferences changed.
`static void` | `startTrayIcon(String trayname)`
`void` | `updateImage()` set the icon image to the current date or a fixed icon with a B on it depending on user preference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunTrayIconProxy

    SunTrayIconProxy()

Method Detail

### hasTrayIcon

    public static boolean hasTrayIcon()

  Checks for presence of the tray icon.

  Returns:
    true, if the tray icon started up successfully, false otherwise

### startTrayIcon

    public static void startTrayIcon(String trayname)

### prefsChanged

    public void prefsChanged()

  Description copied from interface: `Prefs.Listener`
  called when preferences changed.

  Specified by:
    `prefsChanged` in interface `Prefs.Listener`

### updateImage

    public void updateImage()

  set the icon image to the current date or a fixed icon with a B on it depending on user preference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic